import { Room } from "entity";
import { SelectQueryBuilder } from "typeorm";
import CommonHelper from "../helpers/common";
import { OrmHelper } from "../helpers/orm";

export class RoomModel {
	static async list(filter = {}): Promise<SelectQueryBuilder<any>> {
		const repo = OrmHelper.DB.getRepository(Room);
		let whereAttr = [];
		let whereVal: any = {};
		if (filter) {
			const filterResult = CommonHelper.handleQueryFilter(filter, "Room");
			whereAttr = [...whereAttr, ...filterResult.whereAttr];
			whereVal = { ...whereVal, ...filterResult.whereVal };
		}

		var query = null;
		query = repo.createQueryBuilder("Room");
		if (whereAttr.length != 0) {
			query = query.where(whereAttr.join(" and "), whereVal);
		}

		return query;
	}
}
